# Currency Field API

| **Currency field**                                                                                                                                            |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *\<field type=”money” name=”string” placeholder=”string” roleId=”id” optional=”boolean” search=”boolean” formatting=”boolean” min=”integer” max=”integer” />* |

#### Currency Field attributes

* **type** — define if this field is money type, mandatory attribute.
* **name** — string, length from 1 up to 128 symbols, restricted symbols &, “, <, >, field name used to fill in on envelope, unique for document, mandatory attribute.
* **placeholder** — field placeholder displayable on template and envelope, length from 0 up to 1024 symbols, if empty on envelope will be displayed field name, optional attribute.
* **roleId** — id of the role who should fill field on envelope, mandatory attribute.
* **optional** — boolean, defines if field to be filled in optionally or not on envelope, if not set default value false, optional attribute.
* **search** — boolean, defines if field is searchable on envelope search or not, if not set default value false, optional attribute.
* **formatting** — boolean, defines conversion of field data to on UI to local format set up in User profile, optional attribute.
* **min** — integer, allowed values range from -999999999999999 to 999999999999999, define minimal value has to be entered to field become valid, default value empty, optional attribute.
* **max** — integer, allowed values range from -999999999999999 to 999999999999999, define maximal value allowed in field to be valid, default value empty, optional attribute.
* **precision** — 2 (always), you can not change this value and it’s not necessary to define.
* **trailingZeros** — true (always), you can not change this value and it’s not necessary to define.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/template-api/template-dynamic-fields-api/currency-field-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
